@ctrl/ts-base32

中文文档
4.2.2发布于 2026/02/17MITTypeScriptES Module零依赖构建来源已验证近 30 天下载 2.7万

支持多个变体的 Base32 编码器/解码器

中文使用文档
文档目录4 节
  1. 安装
  2. 使用
  3. 基准
  4. 另见

ts-基数32 npm bundlesize

Base32在打字符中编码并解码输出为常见j和可树摇动模块. 支持RFC4648,RFC4648 HEX,和CROC FamilyD Base32编码. 主要直接取自LinusU的包裹.

发音: https://ts-base32.ep. works.dev (中文(简体) )

安装

npm install @ctrl/ts-base32

使用

import { base32Encode, base32Decode } from '@ctrl/ts-base32';
import { stringToUint8Array, uint8ArrayToString } from 'uint8array-extras';

console.log(base32Encode(stringToUint8Array('a')));
// 'ME======'

console.log(base32Encode(stringToUint8Array('a'), { padding: false }));
// 'ME'

console.log(base32Decode('ME======'));
// Uint8Array

console.log(uint8ArrayToString(base32Decode('ME======'))
// 'a'

基准

64KB有效载荷,节点.js,操作/s(较高更好): @ exodus/ 字节 使用节点 Buffer,但非常快.

基准@ctrl/ts-base32 (英语)@ exodus/ 字节基础32-encode/解码@ scure/ base (英语)
编码 RFC46488 500人31 200美元2 600人页:1
编码克罗克福德8 500人—— 说—— 说第332条
解码 RFC46486 500人9,900美元 (单位:千美元)755 (英语)333 (韩语)
解码克罗克福德6 700美元—— 说—— 说387个

运行 pnpm bench 以繁殖.

另见

基础32-编码 - https://github.com/LinusU/base32-encode 页面存档备份,存于互联网档案馆
基数32-解码 - https://github.com/LinusU/base32-decode (中文(简体) )
金特8阵列 -extras - https://github.com/sindresorhus/int8array-extras (中文(简体) )

版本与发布记录

@ctrl/ts-base32 共发布 32 个版本,首次发布于 2018/12/27;过去 12 个月发布了 2 个版本。最新版本附带 npm provenance 构建来源证明,可追溯到公开的 CI 构建记录。

版本发布日期距今
4.2.2latest2026/02/178 个月前
4.2.12026/02/168 个月前
4.2.02025/09/291.1 年前
4.1.02025/09/161.1 年前
4.0.22025/09/161.2 年前
4.0.12025/09/161.2 年前

关于 @ctrl/ts-base32 的常见问题

@ctrl/ts-base32 是什么?

支持多个变体的 Base32 编码器/解码器

如何安装 @ctrl/ts-base32?

在项目目录运行 npm install @ctrl/ts-base32,或使用 pnpm add / yarn add / bun add。

@ctrl/ts-base32 支持 TypeScript 吗?

支持。包内自带 TypeScript 类型声明(package.json 声明了 types 入口),安装后即可获得类型提示,无需再安装 @types 包。

@ctrl/ts-base32 支持 ESM 还是 CommonJS?

以 ES Module 形式发布,推荐使用 import 引入。在 CommonJS 项目中,Node.js 20.19+ / 22.12+ 可以直接 require() 不含顶层 await 的 ES Module,更早的版本需要改用动态 import()。

@ctrl/ts-base32 需要什么版本的 Node.js?

package.json 的 engines 字段要求 Node.js >20。版本不符时 npm 默认只给出警告,开启 engine-strict 后会拒绝安装。

@ctrl/ts-base32 可以商用吗?

@ctrl/ts-base32 使用 MIT 许可。宽松许可:允许商业使用、修改和再分发,通常只需在分发时保留原版权与许可声明。以上为概括,不构成法律意见,请以许可原文为准。

@ctrl/ts-base32 的下载量有多少?

根据 npm 官方下载统计,@ctrl/ts-base32 在 2026/10/11 – 2026/11/09 这 30 天内被下载 27,380 次,日均约 913 次。下载量会把 CI 构建、镜像同步和作为其他包依赖的安装一并计入,适合横向比较热度,不能直接等同于使用人数。

@ctrl/ts-base32 还在维护吗?

最新版本 4.2.2 发布于 2026/02/17(8 个月前);至今共发布 32 个版本,其中过去 12 个月发布了 2 个;首次发布于 2018/12/27。发布频率只是参考信号:功能稳定的工具可能很少需要更新,建议结合源码仓库的 issue 和提交记录判断。